Subject: RE: [Disman] Syslog Protocol document and Alarm MIB

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Sun, 15 Oct 2006 19:43:43 +0200

I personally find a lot of value in the path taken by the syslog
protocol document. Our implementation experience is that a consistent
definition of alarm severities transported by various management
protocols is important in real life deployments, and the ITU perceived
severity as defined in the IETF by the Alarm MIB TC is useful and usable
for most practical purposes. 

Dan

> -----Original Message-----
> From: Sharon Chisholm [mailto:[email-masked]] 
> Sent: Monday, October 09, 2006 7:20 PM
> To: Wijnen, Bert (Bert); Disman (E-mail) (E-mail)
> Subject: RE: [Disman] Syslog Protocol document and Alarm MIB
> 
> Hi
> 
> I actually drafted the initial version of text for this 
> section, but of course, it would be good to get the views of 
> the working group itself to ensure it makes sense. After my 
> initial mapping, there was some working syslog working group 
> discussion and some modifications were make. The problem is 
> that a perfect mapping can't be made and so you have to 
> decide which part of the mapping you are willing to less then ideal.
> 
> Sharon 
> 
> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: Monday, October 09, 2006 7:02 AM
> To: Disman (E-mail) (E-mail)
> Subject: [Disman] Syslog Protocol document and Alarm MIB
> 
> Since the Alarm MIB was done in this WG, you may want to take 
> a look at section 6.2.1.1 of document 
>    draft-ietf-syslog-protocol-17.txt
> 
> It says:
> 
>    6.2.1.1.  Relation to Alarm MIB
> 
>    The Alarm MIB RFC3877 [11] defines ITU perceived 
> severities which are
>    useful to be able to relate to the syslog severities, 
> particularly in
>    the case where alarms are being logged.  The ITUPerceivedSeverity
>    corresponds to a syslog Severity as shown in table 2 below.
> 
>               ITU Perceived Severity      syslog SEVERITY
>               Critical                    Alert
>               Major                       Critical
>               Minor                       Error
>               Warning                     Warning
>               Indeterminate               Notice
>               Cleared                     Notice
> 
>            Table 3. ITUPerceivedSeverity to syslog SEVERITY mapping.
> 
> I think this is OK. But wanted to make sure we have all had a 
> chance to look at it and make a comment if you think it is 
> not OK. Probably best to then also copy such comment to the 
> [email-masked] mailing list.
> 
> Bert
> 
> 
>